### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment.ioc

# Class URLDeploymentContext

java.lang.Object
com.sas.services.deployment.DeploymentDescriptorContext
com.sas.services.deployment.ioc.URLDeploymentContext

All Implemented Interfaces:
  `DeploymentStrategyInterface`

@SASScope("ALL") @BinaryCompatibilityOnly public class URLDeploymentContext extends DeploymentDescriptorContext
Context used to describes how to query SAS Foundation Services metadata using a URL that references a services deployment file that has been exported from a SAS Metadata Server.

One must specify the following properties when defining this context.

URL Deployment Context Properties
Property | Description
--- | ---
`MetadataSourceFactory.PROPERTY_SOFTWARECOMPONENT` | Service deployment's name (i.e. SoftwareComponent.Name)
`MetadataSourceFactory.PROPERTY_URL` | URL to the exported SAS Foundation Services deployment XML file

## Example 1: Configuring a Context

This example creates a context which will be used to query SAS Foundation Services metadata from a URL to a SAS Foundation Services deployment which has been exported from the SAS Metadata Server.

Code Example: Configuring a Context to Query Services Metadata from a URL

       // specify configuration properties necessary to query
       // SAS Foundation Services deployment metadata
       // from a SAS Metadata Server repository

       URLDeploymentContext context = new URLDeploymentContext();

       // name of the SAS Foundation Services deployment
       // (e.g. the SoftwareComponent.Name)
       context.setPropertySoftwareComponent("Local Services");

       // URL to an exported SAS Foundation Services deployment file
       context.setPropertyURL("file:/C:/xxx/local_services.xml");

Since:
  9.2
See Also:
  - `OMRDeploymentContext`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `URLDeploymentContext(AbstractDeploymentStrategy strategy)`
  Constructs a context that describes SAS Foundation Services deployment metadata which is persisted in a SAS Metadata Repository.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `getPropertyURL()`
  Gets the value of the URL configuration.
  `final void`
  `setPropertyURL(String url)`
  Gets the value of the URL configuration .

  ### Methods inherited from class com.sas.services.deployment.DeploymentDescriptorContext

  `createDocument, createFile, createFiles, getProperty, getPropertySoftwareComponent, reconfigure, setProperty, setPropertySoftwareComponent`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### URLDeploymentContext

    public URLDeploymentContext(AbstractDeploymentStrategy strategy) throws ServiceException
    Constructs a context that describes SAS Foundation Services deployment metadata which is persisted in a SAS Metadata Repository.
    Parameters:
      `strategy` - Deployment strategy.
    Throws:
      `ServiceException` - if unable to create a context.

- ## Method Details

  - ### getPropertyURL

    public final String getPropertyURL()
    Gets the value of the URL configuration.
    Returns:
      Configuration property value representing a URL to a SAS Foundation Services metadata source. A `null` will be returned if the specified property is not defined.

  - ### setPropertyURL

    public final void setPropertyURL(String url)
    Gets the value of the URL configuration .
    Parameters:
      `url` - Configuration property value representing a URL to a SAS Foundation Services metadata source.